.virtual-tour {
    padding: 0 0 80px;
}

.virtual-header {
    text-align: center;
    max-width: 1104px;
    margin: 0 auto 40px;
}

.virtual-header p {
    margin-top: 20px;
}

.video-wrapper {
    position: relative;
    width: 100%;
    aspect-ratio: 16 / 9;
    background: #000000;
    border-radius: 30px;
    margin-bottom: 40px;
    overflow: hidden;
    height: 570px;
}

.video-wrapper .virtual-video {
    width: 100%;
    height: 100%;
}


/* .video-wrapper.playing .play-btn {
    opacity: 0;
    pointer-events: none;
  }
  .video-wrapper.paused .play-btn {
    opacity: 1;
    pointer-events: auto;
  } */

.play-btn {
    position: absolute;
    inset: 0;
    margin: auto;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: 0;
    padding: 0;
    cursor: pointer;
    background: transparent;
    transition: transform 0.5s ease-in;
}

.play-btn:hover {
    transform: scale(1.1);
}

.coming-soon {
    text-align: center;
}

.coming-soon strong {
    font-weight: 700;
    color: var(--green);
}

@media (max-width: 991px) {
    .virtual-tour {
        padding: 0 0 60px;
    }
    .video-wrapper {
        border-radius: 15px;
    }
    .video-wrapper {
        height: 500px;
    }
}

@media (max-width: 768px) {
    .virtual-tour {
        padding: 0 0 40px;
    }
    .virtual-header p {
        margin-top: 10px;
    }
    .virtual-header {
        margin: 0 auto 20px;
    }
    .video-wrapper {
        border-radius: 10px;
        margin-bottom: 20px;
        height: 400px;
    }
    .play-btn {
        width: 40px;
        height: 40px;
    }
}